import request from '@/utils/request'

// 查询题库列列表
export function listRubricInfo(query) {
  return request({
    url: '/jxjy/RubricInfo/list',
    method: 'get',
    params: query
  })
}

// 查询题库列详细
export function getRubricInfo(RubricID) {
  return request({
    url: '/jxjy/RubricInfo/' + RubricID,
    method: 'get'
  })
}

// 新增题库列
export function addRubricInfo(data) {
  return request({
    url: '/jxjy/RubricInfo',
    method: 'post',
    data: data
  })
}

// 修改题库列
export function updateRubricInfo(data) {
  return request({
    url: '/jxjy/RubricInfo',
    method: 'put',
    data: data
  })
}

// 删除题库列
export function delRubricInfo(RubricID) {
  return request({
    url: '/jxjy/RubricInfo/' + RubricID,
    method: 'delete'
  })
}


